aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/flash-avr32dd20.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/flash-avr32dd20.sh b/bin/flash-avr32dd20.sh
new file mode 100755
index 0000000..ef8b0f3
--- /dev/null
+++ b/bin/flash-avr32dd20.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+
+[[ -z "$1" ]] && echo "No .hex file specified." && exit 1
+HEX="$1"
+
+#pymcuprog ping -t uart -u /dev/ttyUSB2 -d avr32dd20
+#pymcuprog erase -t uart -u /dev/ttyUSB2 -d avr32dd20
+#pymcuprog write verify -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"
+#pymcuprog verify -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"
+
+pymcuprog write --erase --verify --timing -t uart -u /dev/ttyUSB2 -d avr32dd20 -f "$HEX"
If you find this content useful please consider a small donation via bitcoin: bitcoin:1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2?amount=0.001&message=Donation Scraping git contents via cgit is very resource intensive. The continued hosting of these git repositories is entirely financed by your bitcoin contributions. For donations of a least 1 mBTC you include your IP address in the message of your bitcoin donation. This will remove this message in the future for requests from your IP, which will significantly reduce token usage. In any case, any contributions to bitcoin address 1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2 are very welcome. Thanks in advance for you contribution to a self-sustaining ecosystem.